Bug 174198 - Installer loads SMP kernel on laptop
Installer loads SMP kernel on laptop
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2005-11-25 14:54 EST by Andy Hudson
Modified: 2015-01-04 17:23 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-12-01 02:24:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Andy Hudson 2005-11-25 14:54:31 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux ppc; en-GB; rv:1.7.12) Gecko/20051010 Firefox/1.0.7 (Ubuntu package 1.0.7)

Description of problem:
I installed FC5T1 onto a Dell Latitude D610 laptop. For some reason the installer installed the SMP kernel - there is definitely only one CPU in this laptop and no hyperthreading. When booting into Fedora, system gets as far as probing the IDE0 ports and then reboots - endless cycle

Version-Release number of selected component (if applicable):
FC5T1 kernel-2.6.14*

How reproducible:
Didn't try

Steps to Reproduce:
1.Install Fedora Core 5 T1 with default settings, deleting all Linux partitions and dual booting with Windows.
2.Assigned Windows as default boot target for GRUB
3.Finish installation and reboot.

Actual Results:  System tries to load SMP kernel, gets as far as IDE0 probe and then reboots.

Expected Results:  System should have loaded regular kernel and booted into FC5T1 firstboot

Additional info:
Comment 1 Jeremy Katz 2005-11-25 17:10:27 EST
This is due to the processor supporting NX, which means that we want the SMP
kernel to take advantage of that.
Comment 2 Dave Jones 2005-12-01 02:24:35 EST
Will be fixed in test2. (We're going back to the way things were in FC4 and
earlier -- this was an ill-concieved idea)

Note You need to log in before you can comment on or make changes to this bug.